GET api/pcapi/pc/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PCViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_id

globally unique identifier

None.

db_login

string

String length: inclusive between 0 and 50

db_name

string

String length: inclusive between 0 and 50

db_password

string

String length: inclusive between 0 and 50

db_source

string

String length: inclusive between 0 and 50

id

globally unique identifier

None.

local_ip

string

String length: inclusive between 0 and 15

lock_id

globally unique identifier

None.

mac_address

string

Required

String length: inclusive between 0 and 30

name

string

String length: inclusive between 0 and 100

pc_type_id

globally unique identifier

None.

rights

Collection of ShortRightViewModel

None.

site_id

globally unique identifier

None.

zone_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_id": "cf33e31e-e93e-4fb3-962a-ee67e7460ebe",
  "db_login": "sample string 2",
  "db_name": "sample string 3",
  "db_password": "sample string 4",
  "db_source": "sample string 5",
  "id": "ca6ee078-5a23-42d5-b067-895dd47fbffe",
  "local_ip": "sample string 7",
  "lock_id": "b08817c3-94a2-46d0-bc5c-048fb18271e5",
  "mac_address": "sample string 8",
  "name": "sample string 9",
  "pc_type_id": "861b7a80-c4c5-45e5-9fa3-194dcc0efad9",
  "rights": [
    {
      "code": "sample string 1",
      "id": "d8de54c1-aeaa-49c5-8a69-dc4485cd055b"
    },
    {
      "code": "sample string 1",
      "id": "d8de54c1-aeaa-49c5-8a69-dc4485cd055b"
    }
  ],
  "site_id": "f958ee14-daba-4ddc-bce0-dcb8bb3b821f",
  "zone_id": "a44c3659-5706-4f53-8064-ea6a0a2d7cce"
}

application/xml, text/xml

Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>cf33e31e-e93e-4fb3-962a-ee67e7460ebe</cleanroom_id>
  <db_login>sample string 2</db_login>
  <db_name>sample string 3</db_name>
  <db_password>sample string 4</db_password>
  <db_source>sample string 5</db_source>
  <id>ca6ee078-5a23-42d5-b067-895dd47fbffe</id>
  <local_ip>sample string 7</local_ip>
  <lock_id>b08817c3-94a2-46d0-bc5c-048fb18271e5</lock_id>
  <mac_address>sample string 8</mac_address>
  <name>sample string 9</name>
  <pc_type_id>861b7a80-c4c5-45e5-9fa3-194dcc0efad9</pc_type_id>
  <rights>
    <right>
      <ID>d8de54c1-aeaa-49c5-8a69-dc4485cd055b</ID>
      <code>sample string 1</code>
    </right>
    <right>
      <ID>d8de54c1-aeaa-49c5-8a69-dc4485cd055b</ID>
      <code>sample string 1</code>
    </right>
  </rights>
  <site_id>f958ee14-daba-4ddc-bce0-dcb8bb3b821f</site_id>
  <zone_id>a44c3659-5706-4f53-8064-ea6a0a2d7cce</zone_id>
</pc>